$hashtag-color: $color-white;
$hashtag-border-radius: $border-radius-semicircle;
$hashtag-hover-color: $color-white;
$hashtag-padding-x: .3rem;
$hashtag-padding-y: .7rem;
$hashtag-busca-background: $color-red;
$hashtag-ofrece-background: $color-green;

.hashtag {
  background: #ccc;
  border-radius: 24px;
  color: $hashtag-color;
  display: inline-block;
  font-size: .85rem;
  margin: 0 .5rem .5rem 0;
  padding: $hashtag-padding-x $hashtag-padding-y;
  &--yellow {
    background-color: $color-corporative;
    color: $dark;
  }
  &--yellow-home {
    background-color: $dark;
    color: $color-corporative;
  }
  &--busca {
    background-color: $hashtag-busca-background;
  }
  &--ofrece {
    background-color: $hashtag-ofrece-background;
  }
  &--white {
    background-color: $color-white;
    color: $color-black;
    &:hover {
      background-color: $dark;
      color: $color-white;
    }
  }

  & svg {
    height: rem(10px);
    width: rem(10px);
  }
}

.hashtag:hover {
  color: $hashtag-hover-color;
  cursor: pointer;
  text-decoration: none;
  background: $dark;
}

.hashtag:before {
  content: '#';
  display: inline-block;
}
